Bug 1973662 - Image pruner does not use custom tolerations
Summary: Image pruner does not use custom tolerations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Oleg Bulatov
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1973318
Blocks: 1988388
TreeView+ depends on / blocked
 
Reported: 2021-06-18 12:15 UTC by OpenShift BugZilla Robot
Modified: 2021-08-26 08:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The operator to check if the registry should use custom tolerations was checking spec.nodeSelector instead of spec.tolerations. Consequence: The custom tolerations from spec.tolerations are applied only when spec.nodeSelector is set. Fix: Use the field spec.tolerations to check presence of custom tolerations. Result: The operator uses custom tolerations if spec.tolerations are set.
Clone Of:
Environment:
Last Closed: 2021-08-10 11:27:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 696 0 None open [release-4.8] Bug 1973662: Properly set custom tolerations 2021-06-18 12:15:51 UTC
Red Hat Product Errata RHSA-2021:2983 0 None None None 2021-08-10 11:28:01 UTC

Description OpenShift BugZilla Robot 2021-06-18 12:15:30 UTC
+++ This bug was initially created as a clone of Bug #1973318 +++

Description of problem:

When custom tolerations are set via the imagepruner resource, the operator doesn't propagete them into the cronjob.

Version-Release number of selected component (if applicable):

4.8

How reproducible:

Always

Steps to Reproduce:
1. set spec.tolerations on imagepruner

Actual results:

The image pruner cron job uses these tolerations.

Expected results:

Default tolerations are always used.

Additional info:

Comment 2 wewang 2021-07-30 02:25:24 UTC
Verified in version as follow, the operator propagete the tolerations to cronjob
Version:
4.8.0-0.ci.test-2021-07-30-013712-ci-ln-2bj3z5t-latest

```
         tolerations:
          - effect: NoSchedule
            key: key
            operator: Equal
            value: value
```

Comment 6 errata-xmlrpc 2021-08-10 11:27:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.4 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2983

Comment 7 wewang 2021-08-26 08:40:37 UTC
Case added


Note You need to log in before you can comment on or make changes to this bug.